$experimental-support-for-svg: true !default
$experimental-support-for-mozilla: true !default
$experimental-support-for-webkit: true !default
$support-for-original-webkit-gradients: true !default
$experimental-support-for-opera: true !default
$experimental-support-for-microsoft: true !default
$experimental-support-for-khtml: true !default
$legacy-support-for-ie: true

@import "compass"
@import "compass/reset"
@import "compass/support"
@import "compass/css3/images"
@import "compass/css3/user-interface"
@import "compass/typography/text/force-wrap"

// Auxiliary selectors
//
// 	Used by javascript/php to add dynamic styles
//
//	These selectors are very abstracted from context, in and of
//	themselves they do very litte.
//
//	Exception is .nullify which removes a lot of styling


.width-33
	width: 33% !important
	margin: 0 0.2% !important
	box-sizing: border-box
	-moz-box-sizing: border-box

.width-66
	width: 66% !important
	margin: 0 0.2% !important
	box-sizing: border-box
	-moz-box-sizing: border-box

.width-50
	width: 49.4% !important
	margin: 0 0.2% !important
	box-sizing: border-box
	-moz-box-sizing: border-box

.width-80
	width: 79.5% !important
	margin: 0 0.2% !important
	box-sizing: border-box
	-moz-box-sizing: border-box

.width-20
	width: 19.5% !important
	margin: 0 0.2% !important
	box-sizing: border-box
	-moz-box-sizing: border-box

.alpha
	opacity: $inactive_opacity
	filter: alpha(opacity=#{$inactive_opacity * 100})

.white
	opacity: 0 !important
	filter: alpha(opacity=0) !important

.clear
	clear: both

.left
	float: left !important
	margin: 0

.right
	float: right !important
	margin: 0

.indent
	margin-left: 16px

.image-link
	border: none !important
	outline: none !important

.nullify
	background: transparent
	border-spacing: 0
	vertical-align: top
	outline: none
	border: none
	margin: 0
	padding: 0

.padding_plz
	padding: 0 2em 2em

.alert, #response .alert
	background: #FCF8E3
	border: 1px solid #FBEED5
	color: #C09853
	margin: 1em
	padding: 8px 35px 8px 14px
	@include border-radius(4px)

.alert.error, #response .alert.error
	background: #F2DEDE
	border-color: #EED3D7
	color: #B94A48

.alert.notice, #response .alert.notice
	background: #E3F8E3
	border-color: #D5EED5
	color: #539853

.long_output
	-ms-word-break: break-all
	word-break: break-all
	word-break: break-word
	-webkit-hyphens: auto
	-moz-hyphens: auto
	-ms-hyphens: auto
	hyphens: auto
	img
		margin: 4px 8px
		vertical-align: middle

// Common SASS

html
	height: 100%

body
	margin: 0
	padding: 0
	font: normal normal 0.75em $fonts
	color: $font_color
	height: 100%
	background: $general_background_color

form
	width: 100%
	display: block

.logo
	position: absolute
	top: 0
	left: 0

hr
	height: 0px
	border: none
	border-bottom: 1px solid $border-color-light

b, strong
	font-weight: bold

i, em
	font-style: italic

table
	@extend .nullify
	font-size: 0.95em
	margin: 0 0
	border-collapse: collapse
	border-spacing: 0
	width: 100%

	caption
		padding: 8px

	tbody
		@extend .nullify

	.dark
		background-color: $gradient-dark-hi
		border: 1px solid $border-color-light
		padding: 5px 3px 2px 3px
		box-shadow: inset 0 0 2px 4px $gradient-dark-lo

	th
		@extend .nullify
		background: #fafbf9
		border-bottom: 1px solid #edebe9
		padding: 5px 3px 4px 3px

		&:last-child
			border-right: none

		&:first-child
			border-left: none

		font-size: 1.1em

	.header //Same name as general page header, null some properties
		background: none
		box-shadow: none
		border: none
		height: auto
		min-width: 0
		position: relative
		width: auto
		z-index: 0

	.icon
		width: 32px
		min-width: 32px
		text-align: center

	.comments
		width: 40px
		text-align: center

	tr
		@extend .nullify
		background: none

	tr.odd
		td
			background: $table-odd-color

	tr.even
		td
			background: $table-even-color

	tr.odd:hover td, tr.even:hover td
		background: $highlight-bg
		color: $highlight-fg

	td
		@extend .nullify
		border-bottom: 1px solid #dddbd9
		padding: 3px 2px 5px 2px
		text-align: left
		vertical-align: middle

		&:last-child
			border-right: 1px solid #dddbd9

		&:first-child
			border-left: none

	&.no_border td
		border: none

#host_table, #service_table, .host_table, .service_table
	tr
		&:hover
			outline: 1px solid $border-color-dark

.no-borders
	td
		border: none

.no_border
	border: none

.auto_width
	width: auto

h1, h2, h3, h4, h5, h6
	font-family: $fonts
	margin: 1px 0

h1
	font-size: 1.3em
	margin: 10px 0

h2
	font-size: 1.2em
	margin: 6px 0

h3
	font-size: 1.15em

h4
	font-size: 1.1em

h5
	font-size: 1.05em

h6
	font-size: 1.05em

a, input[type="submit"].plain, button.plain
	color: $link_color
	text-decoration: none
	border-bottom: 1px dotted $link_color

	&.no_uline
		border-bottom: 0 dotted $link_color

	&:hover
		color: $link_color_hover
		border-bottom: 1px dotted $link_color_hover

.container
	overflow: auto
	min-width: 600px
	height: 100%

.content
	padding: 0
	height: 100%
	z-index: 0
	overflow-y: auto
	overflow-x: hidden

	iframe#iframe, iframe#hypermap, object#geomap, iframe#nagvis
		width: 100%
		left: 0

	p
		width: 90%
		margin: 8px 8px

input
	&[type="text"], &[type="password"]
		border-radius: 3px
		border: 1px solid $border-color-dark
		padding: 3px 6px
	&[type="submit"].plain
		background: transparent
		border-width: 0 0 1px
		-moz-border-radius: 0
		-webkit-border-radius: 0
		display: inline
		margin: 0
		padding: 0 !important


code
	font-family: monospace


.login_field
	width: 200px

.header_right
	float: right
	padding: 2px 8px 0 8px

.global_search
	z-index: 4
	text-align: right
	background: transparent
	padding: 0px 3px 0 3px
	float: right

	input
		display: inline-block
		width: 70%
		color: #444
		margin-top: 5px !important
		padding: 2px 2px 2px 20px
		background: $input_background_color
		background-position: left center

.autocomplete
	display: none
	position: fixed
	top: 48px
	right: 40px
	width: 230px !important
	background: $general_background_color
	border: 1px solid $border_color_dark
	z-index: 20

	div
		padding: 2px

	.selected
		background-color: #ccc

#login-table
	background: url($login_image_src) no-repeat
	background-position: center top
	padding-top: $login_image_height
	margin: 10% auto
	width: $login_image_width

	td, tbody, tr
		border: none !important

#page_links
	margin-bottom: 1em
	width: 100%
	vertical-align: middle
	border: none
	box-shadow: none
	z-index: 1

	.page-links-label
		float: left
		max-width: 20%
		padding-top: 10px

	ul
		float: left
		margin: 0px
		margin-left: 8px
		padding: 0px
		width: 100%
		max-width: 80%

		li
			list-style: none
			display: inline-block
			margin: 4px 2px 0 6px
			padding: 5px
			font-size: 0.9em
			border-radius: 3px
			border: 1px solid $hard_shadow_color
			box-shadow: 0 0 3px $weak_shadow_color

			a
				border: none

.report-links
	float: right

	form
		input
			border: 0
			padding: 0

	a, form
		float: left
		width: auto

	img
		margin: 2px 0 2px 8px

	input[type="image"]
		margin: 2px 0 2px 8px

#version_info
	position: fixed
	display: none
	top: $header_height
	left: 230px
	width: 200px
	z-index: 10
	background: $general_background_color
	border: 1px solid $border_color_light
	box-shadow: 0 2px 3px $weak_shadow_color

	li
		padding: 2px 4px
		border-bottom: #eee

.page_settings
	position: fixed
	display: none
	top: $header_height
	left: 230px
	width: 300px
	z-index: 10
	background: $general_background_color
	border: 1px solid $border_color_light
	box-shadow: 0 2px 3px $weak_shadow_color

	.ninja_page_refresh_value
		display: none

	.widget-selector
		margin-left: 10px

	.unselected
		background: url('images/checkbox.png') no-repeat

	.selected
		background: url('images/checkbox-selected.png') no-repeat

	li
		padding: 4px 4px 4px 25px
		border-bottom: $border_color_dark
		background-color: $gradient-dark-hi

.jGrowl-notification
	background-color: #000
	background-color: rgba(0,0,0,0.5)

#jGrowl

	position: fixed
	top: 54px
	right: 30%
	z-index: 9999
	width: 40%
	color: #fff

	.header //Same name as general page header, null some properties
		background: none
		box-shadow: none
		border: none
		height: auto
		min-width: 0
		position: relative
		width: auto
		z-index: 0
		color: #fff
		font-weight: bold
		border-color: #000
		padding: 4px
		float: left

	.message
		clear: both
		display: inline-block
		color: #fff
		border-color: #000
		padding: 4px

	.close
		color: #fff
		border-color: #000
		float: right
		margin: 2px 6px

.enabled_monfeat, .disabled_monfeat
	font-size: 95%
	cite
		font-weight: bold
	em
		border-bottom: 1px dotted #555
		&:hover
			color: #000

.showlog .showlog_options
	vertical-align: top
	float: left
	margin-right: 32px

td.comments
	max-width: 200px

.comments .content
	margin-top: 0
	padding: 4px

#property_menu
	font-size: 90%

.notification-bar,
.license-bar,
.print-notification-bar
	clear: both
	padding: 3px 8px

	border: 1px solid #c49400
	background: #efd556
	box-shadow: inset 0 0 4px 2px #ffe566

	text-align: center
	font-weight: 600
	color: #544420

	a
		color: #4e3e18
		border-bottom: none !important
		text-decoration: underline !important
		&:hover
			color: #3e2e10

	span
		display: inline-block
		margin: 0 8px

.license-bar,
.print-notification-bar
	background: #f0a000
	box-shadow: inset 0 0 4px 2px #ffaa10
	text-shadow: 0 0 1px #703000
	padding: 8px
	color: #fff

	a
		color: #fff
		&:hover
			color: #fff

.print-notification-bar
	display: none

.main-toolbar
	border-top: 1px solid $border-color-dark
	background: #f7f6f5
	clear: both

	.main-toolbar-title
		display: inline-block
		vertical-align: middle
		margin-right: 8px
		padding: 5px 24px 4px 12px
		border-right: 1px solid $border-color-light
		font-size: 120%

	.main-toolbar-subtitle
		display: inline-block
		vertical-align: middle
		margin-right: 6px
		padding: 5px 16px 4px 6px
		font-size: 120%

	.main-toolbar-info
		display: inline-block
		vertical-align: middle
		padding: 2px 0 1px 0

		a
			display: inline-block
			min-height: 14px
			margin: 0 8px

		li a
			margin: 0

		span
			display: inline-block
			min-height: 14px

		form
			display: inline-block
			width: auto

			input, select
				margin: 0

	.main-toolbar-buttons
		float: right

		button
			margin: 0
			padding: 0px 8px !important
			border-width: 0 1px

.command-button
	margin: 2px
	border-radius: 2px

.command-button[disabled]
	opacity: 0.5

.command-button[disabled]:hover
	cursor: default

.qtip-pnp
	min-width: 620px

#user_settings, #command_form
	input[type="submit"]
		margin-left: 8px

.padd-table
	margin: 4px 0
	td:first-child, th:first-child
		padding-left: 8px

#backups td img
	margin: 0 4px

.restricted-output
	word-wrap: break-word
	min-width: 300px
	max-width: 640px
	width: 35%

// Import form SASS
@import "sprites"

// Import header SASS
@import "header"


// Import nav SASS
@import "nav"


// Import widget SASS
@import "widget"

// Import extended pagination SASS
@import "pagination"

// Import form SASS
@import "form"

@import "reports"
